<!DOCTYPE html>
<html>
    <head>
        <title><%= p.replace('-', ' ').toUpperCase() %> | Improve studies with online WASSCE-standard lessons | Academy Tales</title>
        <meta name="description" content="From our goal to improve lives through quality education, Academy Tales provides you with WASSCE Standard supplementary tutorial resources and test questions to sharpen you for the WASSCE tests.">
        <meta name="keywords" content="WAEC, WASSCE, elearning, online courses, Academy Tales, AcademyTales, AT, Ghana, online learning sites, online schooling, online classes, learning websites">
        <meta name="robots" content="index, follow" />
        <meta charset="utf-8">
        <link rel="shortcut icon" type="image/png" href="/assets/img/logo.png"/>
        <link href="https://fonts.googleapis.com/css2?family=Raleway&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@600&display=swap" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="/assets/css/uikit.min.css" />
        <script src="/assets/js/uikit.min.js"></script>
        <script src="/assets/js/uikit-icons.min.js"></script>
        <style>
            * {
                font-family: 'Raleway', sans-serif!important;
            }
            .uk-border-circle {
                border-radius: 100%!important;
            }
            h1, h1>span, h2, h3, h4 {
                font-family: 'Montserrat', sans-serif!important;
            }
            button {
                border-radius: 15px!important;
            }
            .button {
                background: rgb(110,121,250);
                background: linear-gradient(90deg, rgba(110,121,250,1) 0%, rgba(155,164,251,1) 50%, rgba(110,121,250,1) 100%);
                color: #fff;
                font-weight: 600;
            }
            a {
                text-decoration: none!important;
            }
            .uk-height-large {
                height: 85vh;
            }
            .subjects-box *{
              color: #43B1E2!important;
            }
        </style>
        <script src="https://cdn.firebase.com/libs/firebaseui/3.5.2/firebaseui.js"></script>
        <script src="https://kit.fontawesome.com/e90bad2f93.js" crossorigin="anonymous"></script>
        <link type="text/css" rel="stylesheet" href="https://cdn.firebase.com/libs/firebaseui/3.5.2/firebaseui.css" />
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=UA-149717145-1">
        </script>
        <script>
          window.dataLayer = window.dataLayer || [];
          function gtag(){dataLayer.push(arguments);}
          gtag('js', new Date());

          gtag('config', 'UA-149717145-1');
        </script>
    </head>
    <body data-programme="<%= p %>" style="overflow-y: hidden;">
        <div class="">
            <div class="">
                <nav class="uk-navbar-container uk-navbar-transparent uk-box-shadow-large uk-padding-remove" style="background: rgb(4, 64, 98);" uk-navbar>
                    <div class="uk-navbar-left">
                        <ul class="uk-navbar-nav">
                            <li class="uk-active"><a href="/"><img style="height: 40px;" src="/assets/img/logo.png"> <span style="color: #eee" class="uk-h4 uk-margin-remove-vertical uk-margin-small-left uk-text-bold">Academy Tales</span></a></li>
                        </ul>
                    </div>
                    <div class="uk-navbar-right uk-visible@s">
                        <ul class="uk-navbar-nav">
                            <!-- <li class="uk-active"><a href="courses">Courses</a></li> -->
                            <li><a href="/donate" style="color: #eee" class="uk-text-bold">Donate</a></li>
                            <li class="uk-active"><a style="color: #eee" class="uk-text-bold" href="#">|</a></li>
                            <li class="logged-in uk-hidden"><a href="/me/class" class="uk-button uk-button-link"><button style="color: #eee" class="uk-text-bold uk-button uk-button-primary uk-box-shadow-small">My Class</button></a></li>
                            <li class="logged-in uk-hidden"><a onclick="signOut()" href="#" style="color: #eee" class="uk-text-bold uk-button uk-button-text"><span uk-icon="icon: sign-out"></span></a></li>
                            <li class="not-logged-in"><a href="#modal-full" uk-toggle style="color: #eee" class="uk-text-bold uk-button uk-button-link">Sign In</a></li>
                            <li class="not-logged-in"><a href="#modal-full" uk-toggle><button style="color: #eee" class="uk-text-bold uk-button uk-button-primary uk-box-shadow-small ">Join Us</button></a></li>
                        </ul>
                    </div>
                    <div class="uk-navbar-right uk-invisible@s uk-hidden@s">
                        <ul class="uk-navbar-nav">
                            <li class="logged-in uk-hidden"><a href="/me/class" class="uk-button uk-button-link"><button class="uk-button uk-button-primary uk-box-shadow-small">Class</button></a></li>
                            <li><a href="#"><button class="uk-button uk-button-text uk-text-primary uk-margin-small-right" type="button" uk-toggle="target: #offcanvas-reveal"><span uk-icon="icon: menu"></span></button></a></li>
                        </ul>
                    </div>
                </nav>
            </div>
        </div>

        <section class="uk-section uk-margin uk-padding-large uk-margin-remove-bottom uk-margin-remove-top uk-section-primary">
          <div class="uk-container uk-padding-large">
            <article class="uk-article">
              <h3 class="uk-article-title"><%= p.replace('-', ' ').toUpperCase() %></h3>
              <hr class="uk-divider-small">
              <div uk-grid class="uk-grid-divider">
                <div class="uk-width-auto@m">
                  <img src="" class="programme-image">
                </div>
                <div class="uk-width-expand@m">
                  <p class="programme-desc"></p>
                </div>
              </div>
            </article>
          </div>
        </section>

        <section class="uk-section uk-section-muted uk-margin-remove uk-hidden">
          <div class="uk-container uk-margin-remove uk-padding-remove">
              <div class="uk-dark uk-flex uk-flex-center uk-margin-remove uk-padding-remove" style="width: 95vw!important;">
                  <video controls="fullscreen" class="uk-margin-auto-vertical uk-padding-remove uk-margin-remove" style="min-height: 60vh!important;">
                      <source src="" class="programme-video">
                  </video>
              </div>
          </div>
        </section>

        <section class="uk-section uk-section-primary" style="background: #43B1E2">
          <div class="uk-container uk-margin">
            <article class="uk-article uk-margin">
              <h3 class="uk-article-title">Programme's Subjects</h3>
              <hr class="uk-divider-small">
            </article>
            <div class="uk-child-width-1-4@m uk-grid-match subjects-box" uk-grid>
              
            </div>
          </div>
          <div class="uk-container">
            <button uk-toggle="target: #modal-full"  class="uk-button uk-button-large uk-button-default not-logged-in uk-align-center uk-padding-small"><h3 class="uk-margin-remove uk-padding-remove-vertical uk-padding">Enroll Now to Start Learning</h3></button>
            <button class="uk-button uk-button-large uk-button-default logged-in uk-align-center uk-padding-small"><h3 class="uk-margin-remove uk-padding-remove-vertical uk-padding"><a href="/me/class">Go to Class and Start Learning Now</a></h3></button>
          </div>
        </section>

        <section class="uk-section">
            <div class="uk-text-center"> &copy; 2020 Academy Tales</div>
        </section>

        <div style="height: 100vh; width: 100vw; background: #e5e2ee; display: block!important; position: fixed; top: 0; z-index: 1000000; border-radius: 0px!important; padding: 0px; margin: 0px;" class="preload-screen uk-margin-remove uk-padding-remove">
            <progress value="10" max="100" class="uk-width-1-1 uk-margin-remove uk-padding-remove uk-progress" style="height: 5px"></progress>
            <div class="uk-align-center uk-position-center"><img src="/assets/img/preloader.gif"></div>
        </div>

    <div id="offcanvas-reveal" uk-offcanvas="mode: push; overlay: true">
        <div class="uk-offcanvas-bar uk-background-primary">

            <button class="uk-offcanvas-close" type="button" uk-close></button>

            <h3><img src="/assets/img/logo.png" class="uk-icon-image"> Academy Tales</h3>

            <ul class="uk-list uk-list-divider">
                <li class="uk-list-divider"></li>
                <li class="uk-active"><a href="/"><span uk-icon="icon: home"></span> Home</a></li>
                <li class=""><a href="/donate"><i uk-icon="lifesaver"></i> Donate</a></li>
                <li class="logged-in uk-hidden"><a onclick="signOut()" href="#" class="uk-button uk-button-text uk-text-capitalize"><span uk-icon="icon: sign-out"></span> Log Out</a></li>
                <li class="not-logged-in"><a href="#modal-full" uk-toggle class="uk-button uk-button-link">Sign In</a></li>
                <li class="not-logged-in"><a href="#modal-full" uk-toggle><button class="uk-button uk-button-primary uk-box-shadow-small ">Join Us</button></a></li>
            </ul>

        </div>
    </div>

    <div id="modal-full" class="uk-modal-full" uk-modal>
        <div class="uk-modal-dialog">
            <button class="uk-modal-close-full uk-close-large" type="button" uk-close></button>
            <div class="uk-grid-collapse uk-child-width-1-2@s uk-flex-middle" uk-grid>
                <div class="">
                    <div class="uk-align-center uk-width-2-3@m">
                        <div class="uk-card-header uk-padding-small">
                            <h2 class="uk-margin-remove">Sign Up / Sign In</h2>
                        </div>
                        <div id="sign-in" class="toggle-tabs uk-padding-small uk-padding-remove-bottom">
                            <p>oin Academy Tales today and get the best help with your studies. Our educational content are well audited and exceptionally created to make learning from home and revising as easy as possible for you.</p>
                            <div class="uk-padding-small">
                                <div id="firebaseui-auth-container"></div>
                                <div id="loader">Loading...</div>
                            </div>
                        </div>
                    </div>    
                </div>
                <div class="uk-background-cover pastor-image" style="background-image: url('/assets/img/bg2.jpg');" uk-height-viewport></div>
            </div>
        </div>
    </div>


        <!-- <div class="uk-margin-remove uk-grid-collapse" uk-grid>
          <div class="uk-width-1-5 uk-height-viewport uk-background-secondary uk-box-shadow-xlarge" style="max-height: 100vh; overflow: auto; background: #162c42; color: #fff !important;">
            <h4 class="uk-light"><img src="/assets/img/logo.png" style="height: 60px; width: auto; margin: 10px;"> Highschool Online</h4>
            <div class="">
                <ul class="uk-list uk-list-large uk-light uk-padding">
                    <li><a href="#"><span uk-icon="icon: menu"></span> Courses</a></li>
                </ul>
            </div>
          </div>
          <div class="uk-position-relative uk-width-4-5 uk-height-viewport" style="max-height: 100vh; overflow: auto;">
              <nav class="uk-box-shadow-medium uk-navbar-container uk-navbar-sticky uk-navbar-transparent" style="background: #fff;" uk-navbar uk-sticky="sel-target: .uk-navbar-container; cls-active: uk-navbar-sticky">
                  <div class="uk-navbar-left">
                      <ul class="uk-navbar-nav">
                          <li class="uk-active"><a href="#"><span uk-icon="icon: home"></span></a></li>
                      </ul>
                  </div>
                  <div class="uk-navbar-right">
                      <ul class="uk-navbar-nav">
                          <li class="uk-active"><a href="#">Courses</a></li>
                          <li><a href="#">|</a></li>
                          <li><a href="/sign-in" class="uk-button uk-button-link">Sign In</a></li>
                          <li><a href="/sign-in"><button class="uk-button uk-button-primary" style=" background: #162c42;">Join Us</button></a></li>
                      </ul>
                  </div>
              </nav>
              <div class="uk-container uk-box-shadow-medium">
                <h3 class="uk-margin-top uk-margin-small-bottom">Programme Name (Science)</h3>
                <hr class="uk-divider-small">
                <h4 class="uk-margin-remove">The Subjects under the programme</h4>
                
              </div>
            <div class="uk-section">
                <div class="uk-text-center">Highschool Online &copy; 2019</div>
            </div>
          </div>
        </div> -->
        <!--Start of Tawk.to Script-->
        <script type="text/javascript">
        var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
        (function(){
        var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
        s1.async=true;
        s1.src='https://embed.tawk.to/5f1db8ba5e51983a11f5d453/default';
        s1.charset='UTF-8';
        s1.setAttribute('crossorigin','*');
        s0.parentNode.insertBefore(s1,s0);
        })();
        </script>
        <!--End of Tawk.to Script-->
    </body>
    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-auth.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-firestore.js"></script>
    <script src="/assets/js/config.js"></script>
    <script src="/assets/js/main.js"></script>
    <script src="/assets/js/home.js"></script>

    <script>
      $().ready(function () {
        // body...
        // UIkit.offcanvas($('[id="my-id"]')).show();
      });
      $('.play-video').on('click', function () {
        $('.video-over').toggleClass('uk-hidden')
        $('video').trigger('play')
        $('.the-cover').css('background', 'none')
      })

      $('.show').on('click', function() {
        $('.video-over').toggleClass('uk-hidden')
      })
    </script>
    <script>
      firebase.firestore().collection('programmes').doc($('body').data('programme')).get()
      .then(function (programme) {
        // console.log(programme.data())
        // console.log(programme.id)
        let pd = programme.data()
        $('.programme-name').text(pd.name)
        $('.programme-desc').text(pd.desc)
        $('.programme-image').attr('src', pd.image)
        $('.programme-video').attr('src', pd.video)
        $('.programme-video').parents('video').attr('src', pd.video)
        // $('video').load()
        // $('.programme-video').play()
        // $('video').trigger('play')
        $('.programme-desc-short').text(pd.desc.substring(0, 150) + '...')

        $('progress').val(55)
        for (var subject in pd.subjects) {
          firebase.firestore().collection('subjects').doc(subject).get()
          .then(function (subject) {
            if(subject.exists) {
              // console.log(subject.data())
              if (subject.data().description) {
                $('.subjects-box').append( `
                  <div>
                    <!-- <a href="#"> href="/subject/${subject.id.replace(/-/g, ' ')}"> -->
                      <div class="uk-card uk-card-default uk-box-shadow-large uk-box-shadow-hover-small">
                          <div class="uk-card-media-top">
                            <div class="uk-height-small uk-flex uk-flex-center uk-flex-middle uk-background-cover uk-light" data-src="${subject.data().description.image}" uk-img>
                            </div>
                          </div>
                          <div class="uk-card-body">
                              <h3 class="uk-card-title uk-text-capitalize">${subject.data().description.name}</h3>
                          </div>
                      </div>
                    <!-- </a> -->
                  </div>`
                )
              } else {
                // console.log(subject.data())
                $('.subjects-box').append( `
                  <div>
                    <a href="/subject/${subject.id.replace(' ', '-')}">
                      <div class="uk-card uk-card-default uk-box-shadow-large uk-box-shadow-hover-small">
                          <div class="uk-card-media-top">
                              <img src="/assets/img/math.jpg" alt="">
                          </div>
                          <div class="uk-card-body">
                              <h3 class="uk-card-title uk-text-capitalize">${subject.id.replace(/-/g, ' ')}</h3>
                          </div>
                      </div>
                    </a>
                  </div>`
                )
              }
            }
          })
        }
      })
      .then(function() {
        $('progress').val(100)
        $('.preload-screen').delay(700).fadeOut(200)
      })
    </script>
</html>